For the complete documentation index, see llms.txt. This page is also available as Markdown.

Country Code

Manage ISO 3166-1 country codes, names, activation status, regional address settings, languages, currencies, and dropdown visibility.

the CountryCodes according to ISO-3166-1

Find an existing Resource by identifier

get
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

*/*

ISO_3166_country_codes

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

namestring · min: 1Required
nameEnglishstringOptional
isoAlpha2string · min: 2 · max: 2Required

ISO 3166-1 alpha-2 code

isoAlpha3string · min: 3 · max: 3Required

ISO 3166-1 alpha-3 code

isoNumericstring · min: 3 · max: 3Required

ISO 3166-1 numeric code

ewuMemberFromstring · dateOptional

this country is member in the ewu from...

ewuMemberTostring · dateOptional

this country is member in the ewu unti...

activebooleanRead-onlyOptional

is active

Default: true
regionSelectableInAddressbooleanOptional

Region auswählbar in der Adresse

Default: true
showInDropDownsbooleanRequired

DropDown Visibility

Default: true
get/cmn/country-codes/{id}
GET /cmn/country-codes/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "name": "text",
  "nameEnglish": "text",
  "isoAlpha2": "text",
  "isoAlpha3": "text",
  "isoNumeric": "text",
  "ewuMemberFrom": "2026-01-01",
  "ewuMemberTo": "2026-01-01",
  "active": true,
  "regionSelectableInAddress": true,
  "languageRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "currencyRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "showInDropDowns": true
}

Update existing Resource

put
Path parameters
idinteger · int64Required

an identifier

Body

ISO_3166_country_codes

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

namestring · min: 1Required
nameEnglishstringOptional
isoAlpha2string · min: 2 · max: 2Required

ISO 3166-1 alpha-2 code

isoAlpha3string · min: 3 · max: 3Required

ISO 3166-1 alpha-3 code

isoNumericstring · min: 3 · max: 3Required

ISO 3166-1 numeric code

ewuMemberFromstring · dateOptional

this country is member in the ewu from...

ewuMemberTostring · dateOptional

this country is member in the ewu unti...

activebooleanRead-onlyOptional

is active

Default: true
regionSelectableInAddressbooleanOptional

Region auswählbar in der Adresse

Default: true
showInDropDownsbooleanRequired

DropDown Visibility

Default: true
Responses
200

successful operation

*/*

ISO_3166_country_codes

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

namestring · min: 1Required
nameEnglishstringOptional
isoAlpha2string · min: 2 · max: 2Required

ISO 3166-1 alpha-2 code

isoAlpha3string · min: 3 · max: 3Required

ISO 3166-1 alpha-3 code

isoNumericstring · min: 3 · max: 3Required

ISO 3166-1 numeric code

ewuMemberFromstring · dateOptional

this country is member in the ewu from...

ewuMemberTostring · dateOptional

this country is member in the ewu unti...

activebooleanRead-onlyOptional

is active

Default: true
regionSelectableInAddressbooleanOptional

Region auswählbar in der Adresse

Default: true
showInDropDownsbooleanRequired

DropDown Visibility

Default: true
put/cmn/country-codes/{id}
PUT /cmn/country-codes/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 301

{
  "version": "text",
  "info": {},
  "id": "text",
  "name": "text",
  "nameEnglish": "text",
  "isoAlpha2": "text",
  "isoAlpha3": "text",
  "isoNumeric": "text",
  "ewuMemberFrom": "2026-01-01",
  "ewuMemberTo": "2026-01-01",
  "regionSelectableInAddress": true,
  "languageRef": {
    "id": "text"
  },
  "currencyRef": {
    "id": "text"
  },
  "showInDropDowns": true
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "name": "text",
  "nameEnglish": "text",
  "isoAlpha2": "text",
  "isoAlpha3": "text",
  "isoNumeric": "text",
  "ewuMemberFrom": "2026-01-01",
  "ewuMemberTo": "2026-01-01",
  "active": true,
  "regionSelectableInAddress": true,
  "languageRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "currencyRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "showInDropDowns": true
}

deaktiviert eine bestehende Resource

put
Path parameters
idinteger · int64Required

identifier

Responses
200

successful operation

*/*

ISO_3166_country_codes

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

namestring · min: 1Required
nameEnglishstringOptional
isoAlpha2string · min: 2 · max: 2Required

ISO 3166-1 alpha-2 code

isoAlpha3string · min: 3 · max: 3Required

ISO 3166-1 alpha-3 code

isoNumericstring · min: 3 · max: 3Required

ISO 3166-1 numeric code

ewuMemberFromstring · dateOptional

this country is member in the ewu from...

ewuMemberTostring · dateOptional

this country is member in the ewu unti...

activebooleanRead-onlyOptional

is active

Default: true
regionSelectableInAddressbooleanOptional

Region auswählbar in der Adresse

Default: true
showInDropDownsbooleanRequired

DropDown Visibility

Default: true
put/cmn/country-codes/{id}/deactivate
PUT /cmn/country-codes/{id}/deactivate HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "name": "text",
  "nameEnglish": "text",
  "isoAlpha2": "text",
  "isoAlpha3": "text",
  "isoNumeric": "text",
  "ewuMemberFrom": "2026-01-01",
  "ewuMemberTo": "2026-01-01",
  "active": true,
  "regionSelectableInAddress": true,
  "languageRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "currencyRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "showInDropDowns": true
}

aktiviert eine bestehende Resource

put
Path parameters
idinteger · int64Required

identifier

Responses
200

successful operation

*/*

ISO_3166_country_codes

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

namestring · min: 1Required
nameEnglishstringOptional
isoAlpha2string · min: 2 · max: 2Required

ISO 3166-1 alpha-2 code

isoAlpha3string · min: 3 · max: 3Required

ISO 3166-1 alpha-3 code

isoNumericstring · min: 3 · max: 3Required

ISO 3166-1 numeric code

ewuMemberFromstring · dateOptional

this country is member in the ewu from...

ewuMemberTostring · dateOptional

this country is member in the ewu unti...

activebooleanRead-onlyOptional

is active

Default: true
regionSelectableInAddressbooleanOptional

Region auswählbar in der Adresse

Default: true
showInDropDownsbooleanRequired

DropDown Visibility

Default: true
put/cmn/country-codes/{id}/activate
PUT /cmn/country-codes/{id}/activate HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "name": "text",
  "nameEnglish": "text",
  "isoAlpha2": "text",
  "isoAlpha3": "text",
  "isoNumeric": "text",
  "ewuMemberFrom": "2026-01-01",
  "ewuMemberTo": "2026-01-01",
  "active": true,
  "regionSelectableInAddress": true,
  "languageRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "currencyRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "showInDropDowns": true
}

Create new Resource

post
Body

ISO_3166_country_codes

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

namestring · min: 1Required
nameEnglishstringOptional
isoAlpha2string · min: 2 · max: 2Required

ISO 3166-1 alpha-2 code

isoAlpha3string · min: 3 · max: 3Required

ISO 3166-1 alpha-3 code

isoNumericstring · min: 3 · max: 3Required

ISO 3166-1 numeric code

ewuMemberFromstring · dateOptional

this country is member in the ewu from...

ewuMemberTostring · dateOptional

this country is member in the ewu unti...

activebooleanRead-onlyOptional

is active

Default: true
regionSelectableInAddressbooleanOptional

Region auswählbar in der Adresse

Default: true
showInDropDownsbooleanRequired

DropDown Visibility

Default: true
Responses
200

successful operation

*/*

ISO_3166_country_codes

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

namestring · min: 1Required
nameEnglishstringOptional
isoAlpha2string · min: 2 · max: 2Required

ISO 3166-1 alpha-2 code

isoAlpha3string · min: 3 · max: 3Required

ISO 3166-1 alpha-3 code

isoNumericstring · min: 3 · max: 3Required

ISO 3166-1 numeric code

ewuMemberFromstring · dateOptional

this country is member in the ewu from...

ewuMemberTostring · dateOptional

this country is member in the ewu unti...

activebooleanRead-onlyOptional

is active

Default: true
regionSelectableInAddressbooleanOptional

Region auswählbar in der Adresse

Default: true
showInDropDownsbooleanRequired

DropDown Visibility

Default: true
post/cmn/country-codes
POST /cmn/country-codes HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 301

{
  "version": "text",
  "info": {},
  "id": "text",
  "name": "text",
  "nameEnglish": "text",
  "isoAlpha2": "text",
  "isoAlpha3": "text",
  "isoNumeric": "text",
  "ewuMemberFrom": "2026-01-01",
  "ewuMemberTo": "2026-01-01",
  "regionSelectableInAddress": true,
  "languageRef": {
    "id": "text"
  },
  "currencyRef": {
    "id": "text"
  },
  "showInDropDowns": true
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "name": "text",
  "nameEnglish": "text",
  "isoAlpha2": "text",
  "isoAlpha3": "text",
  "isoNumeric": "text",
  "ewuMemberFrom": "2026-01-01",
  "ewuMemberTo": "2026-01-01",
  "active": true,
  "regionSelectableInAddress": true,
  "languageRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "currencyRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "showInDropDowns": true
}

Last updated

Was this helpful?